local monocle = require("#monocle")
local coroutineEntity = monocle.Entity()

function onBegin()
	local level = getLevel()
	level:add(coroutineEntity)
	makeUnskippable()
	disableMovement()
	wait(0.5)
	coroutineEntity:add(monocle.Coroutine(celeste.CutsceneEntity.CameraTo(vector2(18616, 1976), 4)))
	wait(3.5)
	coroutineEntity:add(monocle.Coroutine(level:ZoomBack(1.5)))
	wait(1.5)
end

function onEnd(room)
	enableMovement()
end